/*
 * Code 14 - Edurobot.ch, destiné à l'Arduino
 * Objectif : Afficher la température et l'humidité sur un écran LCD
 * */
 */

//*****EN-TETE DECLARATIVE*****

#include <dht.h>                  //on inclut la biliothèque pour le capteur DHT
#include <LiquidCrystal.h>        //on inclut la bilbiothèque pour l'écarn LCD

LiquidCrystal lcd(12, 11, 5, 4, 3, 2);  //on créée l'objet LCD et on définit les PINs utilisés

dht DHT;                          //on créée l'objet capteur DHT

#define DHT11_PIN 7               //on définit le PIN utilisé par le capteur DHT

void setup() 
{
 lcd.begin(16,2);               //on initialise les communications avec l'écran LCD

}

void loop() 
{
  int chk = DHT.read11 (DHT11_PIN); //on lit les données du capteur DHT
  lcd.setCursor (0,0);              //on place le curseur de l'écran LCD au début de la première ligne
  lcd.print ("Temp:    ");          //on écrit le mot "Temp: " à l'emplacement du curseur
  lcd.print (DHT.temperature,1);    //on écrit la température lue par le capteur, avec 1 chiffre derrière la virgule
  lcd.print ( (char)223);           //on ajoute le symbole ° après la valeur de la température
  lcd.print ("C");                  //on ajoute la lettre C pour degré Celsius
  lcd.setCursor (0,1);              //on déplace le curseur de l'écran LCD au début de la seconde ligne
  lcd.print ("Hum. rel:");          //on écrit le mot "Hum. rel: " à l'emplacement du curseur
  lcd.print (DHT.humidity,1);       //on écrit l'humidité relative lue par le capteur, avec 1 chiffre derrière la virgule
  lcd.print ("%");                  //on ajoute le symbole "%" apréès la valeur de l'humidité
  delay (1000);                     //on attend une seconde avant de procéder à la lecture suivante

}
